> -----Original Message-----
> From: Giuseppe Bilotta [mailto:bilotta78 / hotpop.com] 
> Sent: Thursday, August 22, 2002 9:16 AM
> To: ruby-talk / ruby-lang.org
> Subject: Re: Newbie question. How to install a new package?
> 
> This is what I did. I got the .so and put it under
> 
> c:\langs\ruby\lib\ruby\site_ruby\1.6\i586-mswin32
> 
> What am I doing wrong?
> 
> 
> -- 
> Giuseppe "Oblomov" Bilotta
> 
> Axiom I of the Giuseppe Bilotta
> theory of IT:
> Anything is better than MS
>

I could be totally wrong, but if you put the .so (which is the library
already compiled) you then just do a 'require' in your script.  You don't
have to worry about grabbing the source to bdb and compiling.

However, if the .so you grabbed was compiled using mingw, I'm not sure if it
will work with the msvc-compiled version of ruby.

Jamey.